---
title: "List a supplier's bank account changes · Supplier Bank Accounts · COUNT Partner API"
description: "Lists every change requested to the supplier's bank account, newest first. GET /partners/vendor-bank-accounts/{uuid}/changes"
canonical: "https://developers.getcount.com/reference/vendor-bank-accounts/list-vendor-bank-account-changes"
source: "https://developers.getcount.com/reference/vendor-bank-accounts/list-vendor-bank-account-changes"
---
[Supplier Bank Accounts](https://developers.getcount.com/reference/vendor-bank-accounts) / List a supplier's bank account changes

# List a supplier's bank account changes

GET NZ· GST `/partners/vendor-bank-accounts/{uuid}/changes`

Lists every change requested to the supplier's bank account, newest first.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=GET&path=%2Fpartners%2Fvendor-bank-accounts%2F%7Buuid%7D%2Fchanges)

[Vendors API (suppliers)](https://developers.getcount.com/reference/vendors) [Bills API](https://developers.getcount.com/reference/bills) [Keeping in sync guide](https://developers.getcount.com/guides/keeping-in-sync)

#### Path parameters

`uuid` uuid required

The supplier's UUID: its `id` from List vendors. A supplier has at most one active bank account.

#### Responses

`200` The changes.

`400` Not a New Zealand workspace.

`404` Supplier not found.

`401` Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

`403` The credential does not have access to this workspace or resource. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-403)

`429` Rate limit exceeded (100 requests per minute per user of each app, or 10,000 per minute per app). Retry after the Retry-After header. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-429)

[Previous GET Get a supplier's bank account](https://developers.getcount.com/reference/vendor-bank-accounts/get-vendor-bank-account) [Next POST Request a supplier bank account change](https://developers.getcount.com/reference/vendor-bank-accounts/request-vendor-bank-account-change)

GET `https://api.getcount.com/partners/vendor-bank-accounts/{uuid}/changes`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'GET';
const signingPath = '/vendor-bank-accounts/3fa85f64-5717-4562-b3fc-2c963f66afa6/changes';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/vendor-bank-accounts/3fa85f64-5717-4562-b3fc-2c963f66afa6/changes`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "message": "Success on finding vendor bank account changes",
  "data": {
    "vendorBankAccountChanges": [
      {
        "id": "0193a1c2-7b4d-7e10-9a2f-5c6d7e8f9a02",
        "changeType": "create",
        "status": "pending",
        "toBankAccount": {
          "bankCountry": "NZ",
          "railType": "nz_direct_credit",
          "nzBankAccount": "12-3456-7890123-001",
          "nzBankNumber": "12",
          "nzBranchNumber": "3456",
          "nzAccountNumber": "7890123",
          "nzAccountSuffix": "001",
          "accountName": "Harbourside Office Supplies",
          "defaultParticulars": "Acme Ltd",
          "defaultCode": "INV",
          "defaultReference": "ACME-001"
        },
        "reason": "New supplier",
        "requestedBy": {
          "firstName": "Ana",
          "lastName": "Reyes",
          "email": "ana@example.com"
        },
        "approver": {
          "firstName": "Ben",
          "lastName": "Ito",
          "email": "ben@example.com"
        },
        "decidedAt": null,
        "rejectionReason": null,
        "createdAt": "2026-01-15T10:30:00.000Z",
        "fromBankAccount": null
      }
    ]
  }
}
```
